Bug 869595 - No log out / reboot notification after 'critical' updates (eg kernel or qt-x11)
No log out / reboot notification after 'critical' updates (eg kernel or qt-x11)
Product: Fedora
Classification: Fedora
Component: apper (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-24 07:32 EDT by Martin Kho
Modified: 2013-02-14 17:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 08:18:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Kho 2012-10-24 07:32:03 EDT
Description of problem:
Some updates require a log out or reboot to take effect (eg. kernel update). At the end of the update apper doesn't show a notification in the system tray. It only says that the update was succesful and last check was x hours en y minutes ago.

Version-Release number of selected component (if applicable):
* apper-0.8.0-0.8.20121002git.fc18.x86_64
* PackageKit-0.8.4-3.fc18.x86_64
* yum-3.4.3-45.fc18.noarch

How reproducible:

Steps to Reproduce:
1. remove latest kernel or qt-x11
2. run Software Management -> updates
3. update the removed package
Actual results:
No log out / reboot notification

Expected results:
log out / remove notification

Additional info:
Comment 1 Martin Kho 2012-12-03 08:42:23 EST

With apper-0.8.0-0.11.20121126git.fc18.x86_64 some progress has been made. Now I get a notification. In this message there is a "Restart" button - for both reboot and log out - that is doing nothing.

Besides this issue, the notification itself is IMHO not a very good choice. Take the following situation: I let apper install updates and because of the amount of them I decide to leave my computer. The need to reboot my system after the update (a kernel was updated or so), I naturally misses. When I come back everything looks fine, nothing has to be done. The problem is that I won't get the need to reboot my system, because the current notification system has already timed out the message. So I don't think that the 'permanent' icon (as in previous versions of apper) in the system tray can be replaced. It's an important notifier.

This is why I wouldn't suppose to close this report yet.

Martin Kho
Comment 2 Rex Dieter 2012-12-03 13:02:23 EST
it is possible to make persistent notifications, I believe.
Comment 3 Martin Kho 2012-12-03 13:37:48 EST
Hi Rex,

Is it a wish for upstream?

Martin Kho
Comment 4 Daniel Nicoletti 2012-12-03 20:39:22 EST
The popup is persistent,
so when you get back, everything doesn't just looks fine,
it has an unread notification in the tray.

The ugly truth is that most users (including me - the Apper developer)
just don't care about that, even the updater icon is just ignored
by those who don't want to install updates.

So it's just easier to close a notification an keep on
working, after all most tasks that do require a restart
are a kernel* update or some more important system package
but most things (except Firefox) works fine, KDE for instance
you will be forced to logout on some situations where everything
just stops working.

I've been analyzing this tray icon for quite some time,
it just doesn't work, the only way it would work
is if the icon keep jumping on you face, and you'd just
kill it's process id :P

About it not working well that's precisely the reason I didn't
make a release yet, some stuff is not well tested yet, I really
hope I can make it ready this week :D and thanks for the tip
so I test it more carefully to see if it's working.

*And they are often installed side by side so no need to rush.
Comment 5 Martin Kho 2012-12-04 03:43:53 EST
Hi Daniel,

Thanks for your clear explanation. I'll try to better keep an eye on the notifications :-)

Martin Kho

Bwt. The ktp-project uses a respond button in their notification. When a message comes in and I immidiatly click on this button the conversation window opens. When I'm to late - more than two seconds - the button does nothing. May be this can be helpful.
Comment 6 Daniel Nicoletti 2012-12-04 04:40:00 EST
If the notification is persistent they are doing
the wrong thing to handle it. If not I think plasma
should hide the buttons (but it doesn't currently).
Comment 7 Kevin Kofler 2012-12-04 10:00:02 EST
> The popup is persistent,
> so when you get back, everything doesn't just looks fine,
> it has an unread notification in the tray.

What if the user still uses the old-school non-Plasma notifications? (I do…)
Comment 8 Daniel Nicoletti 2012-12-04 10:08:28 EST
you mean from knotify? if so it should just work too.
Comment 9 Kevin Kofler 2012-12-04 11:27:49 EST
Yes, I mean KNotify ones.
Comment 10 Daniel Nicoletti 2012-12-15 22:57:52 EST
BTW, thanks for the report I just saw
that I forgot to make them persistent,
so the bug is properly fixed now :)
Comment 11 Rex Dieter 2013-02-13 08:18:46 EST
Confirmed fixed in apper-0.8.0-2 builds for me.
Comment 12 Kevin Kofler 2013-02-13 16:52:43 EST
Yes, 0.8.0-2 now suffers from https://bugs.kde.org/show_bug.cgi?id=314816 instead. (We already had that one once, it seems that that longstanding bug was just masked by this bug.)
Comment 13 Daniel Nicoletti 2013-02-13 23:06:02 EST
That longstanding bug was fixed in 0.7.x, but PackageKit 0.8.x introduced it again, so a change in PackageKit is now needed in order to fix it, tho it's not related to the original bug report.
Comment 14 Kevin Kofler 2013-02-14 17:09:50 EST
And it's tracked in a new bug, so everything's fine. :-) This one is closed (as it should be), as is the original bug against PackageKit 0.7.x.

Note You need to log in before you can comment on or make changes to this bug.